Linked by Thom Holwerda on Sat 26th Mar 2011 02:00 UTC
Mac OS X When you run smbd -V on your Snow Leopard installation, you'll see it's running SAMBA version 3.0.28a-apple. While I'm not sure how much difference the "-apple" makes, version 3.0.28a is old. Very old. In other words, it's riddled with bugs. Apple hasn't updated SAMBA in 3 years, and for Lion, they're dumping it altogether for something homegrown. The reason? SAMBA is now GPLv3.
Permalink for comment 468123
To read all comments associated with this story, please click here.
RE[3]: Comment by Brynet
by porcel on Mon 28th Mar 2011 12:34 UTC in reply to "RE[2]: Comment by Brynet"
porcel
Member since:
2006-01-28

But your doctor will not hide lie about your disease (your "bugs") or shouldn´t unless he is morally bankrupt. He will also provide all the diagnostic material that he has on you so that you can get a second opinion or even change doctors. In other words, he will allow others to build on his work, will share the results of his findings with others so that other specialists may treat you and so on and so forth.

Same goes for architects and building design.

You may want to continue to be paid for the same piece of code ad infinitum. It´s a very appealing proposition. It doesn´t mean it is the most ethical one, particularly if you prevent users from helping themselves or their friends by turning the act of sharing into a crime as most proprietary licenses do.

Reply Parent Score: 4